=== debian/changelog ===
amule (2.3.2+git-20210127) stable; urgency=low

  * git-rev: 0e9e3efc + 1
  * disabled plasmamule
  * Tighten Build-Deps

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Wed, 27 Jan 2021 12:52:21 +0100
 

amule (2.3.2+git-20191216) stable; urgency=low

  * git-rev: d157fe8 + 1
  * changed build-deps and rules to use boost-asio

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Mon, 16 Dec 2019 15:27:18 +0100

amule (2.3.2+git-20190521) stable; urgency=low

  * git-rev: 6080da6 + 1
  * changed build-deps for compatibility with Ubuntu Disco

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Thu, 21 May 2019 12:49:18 +0200

amule (2.3.2+git-20190519) stable; urgency=low

  * git-rev: f8520e7 + 1
  * added papirus skin
  * corrected stamp-file name of plasmamule
  * removed useless amule.post[inst|rm]

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Sun, 19 May 2019 14:49:18 +0200
 

amule (2.3.2+git-20190423) stable; urgency=low

  * git-rev: 20afd75
  * d/amule-cas.README.Debian: switched spelling of cas to avoid word repeat
  * d/amule-common.docs: removed docs/changelog to avoid double install
  * d/amule-i18n-uk.install: added locale, package was empty
  * d/amule-plasmamule.lintian-overrides: desktop-entry is now known
  * d/amule-xas.install: use multiarch format
  * d/amule-xas.lintian-overrides: use multiarch format
  * d/clean:
    + switched to use reflect new dbgsym-packages
    + removed stage1 und stage2 stamps
  * d/compat: switched to dh 10
  * d/control:
    + adjusted build-deps for stable
    + changed description of amule-package to satisfy lintian
    + changed description of amule-theme-default-package to satisfy lintian
    + changed description of amuleweb-package to satisfy lintian
    + changed description of amule-remote-gui-package to satisfy lintian
    + changed description of amule-daemon-package to satisfy lintian
    + changed description of amule-alc-package to satisfy lintian
    + changed description of amule-alcc-package to satisfy lintian
    + removed *-dbg as they are not needed for dbgsym-packages
  * d/rules:
    + switched to build dbgsym-packages
    + avoid installing the changelog twice in amule-common-package

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Tue, 23 Apr 2019 21:31:11 +0200

amule (2.3.1+svn-10712) testing; urgency=low

  * Added Chinese (Traditional) manpages

 -- Dévai Tamás (gonosztopi) <gonosztopi@amule.org>  Thu, 29 Dec 2011 21:20:09 +0000

amule (2.3.1+svn-10696) testing; urgency=low

  * Fixed amule-plasmamule.install for buildd-env
  * Set Build-Dep to libreadline-dev

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Tue, 15 Dec 2011 01:31:11 +0100

amule (2.3.1) testing; urgency=low

  * New Upstream Release

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Fri, 11 Nov 2011 11:11:11 +0100

amule (2.3.0~rc2+svn-10603) testing; urgency=low

  * Removed amule-ed2k.docs
  * Switched to debhelper 8
  * Resorted all files alphabetically
  * Switched to 3.0 (quilt) source-format
  * Updated build-deps to dh-8 and wx 2.8.12 minimum

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Thu, 01 Sep 2011 15:34:28 +0200

amule (2.3.0~rc2+svn-10600) testing; urgency=low

  * New upstream release candidate
  * Removed amule-i18n-ro package
  * Synced manpages to upstream

 -- Dévai Tamás (gonosztopi) <gonosztopi@amule.org>  Sun, 14 Aug 2011 20:56:11 +0000

amule (2.2.6+svn-10406) testing; urgency=low

  * Bumped Standards Version to 3.9.1
  * Explicitly refer to source format 1.0
  * debian/control
    + Corrected spelling-error in description of amule-common
    + Removed ${shlibs:Depends} in debian/control from:
      - amule-common
      - amule-dbg
      - amule-ed2k-dbg
      - amule-cas-dbg
      - amule-wxcas-dbg
      - amuleweb-dbg
      - amule-remote-gui-dbg
      - amule-daemon-dbg
      - amule-alc-dbg
      - amule-alcc-dbg
      - amule-cmd-dbg
      - amule-utils
    + Removed ${perl:Depends} in debian/control from amule-ed2k
    + Explicitly mark amule-utils and amule-utils-gui as meta-package
    + Added autoconf to Build-Deps
    + Added Homepage field
  * Added amule-i18n-ro package
  * Added amule-plasmamule and amule-plasmamule-dbg packages
  * debian/rules
    + Added dh_installmime call for amule-plasmamule
  * Readded
    + amule-i18n-ast
    + amule-i18n-cs
    + amule-i18n-el
    + amule-i18n-he
    + amule-i18n-ja
    + amule-i18n-sq
    + amule-i18n-uk
    + amule.lintian-overrides
    + amule-skin-mac-gray
    + amule-skin-priscilla
    + amule-xas.lintian-overrides
  * Removed amule.README.Debian

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Wed, 15 Dec 2010 06:25:28 +0100

amule (2.2.6+svn-9854) testing; urgency=low

  * Changed Naming Convention to represent the revision
  * debian/control
    - Versioned Build-Dep on libwxgtk2.8-dev to use minimum 2.8.8
    - Bumped Standardsversion to 3.8.3
    - Moved i18n-packages to Section localisation
    - Set right Conflicts/Replaces for
      + amule-wxcas
      + amule-alc
      + amule-remote-gui
      + amule-ed2k
      + amulecmd
      + Added ${misc:Depends} to packages deps
      + Bumped versioned build-dep of debhelper to >= 7
      + Moved -dbg packages to section debug
  * debian/amule-common.install
    - Changed old aMule-CVS dir for docs to amule
  * debian/rules
    - Changed --with-ccache to --enable-ccache
    - Re-enabled install of xas
    - Removed the if's to install lintian overrides, use dh_lintian instead
    - Added DEB_BUILD_OPTIONS_PARALLEL=3 for parallel building
  * debian/clean
    - removed compile
  * Removed amule-ed2k.preinst
  * Added Package
    - amule-i18n-ast
    - amule-i18n-cs
    - amule-i18n-el
    - amule-i18n-he
    - amule-i18n-ja
    - amule-i18n-sq
    - amule-i18n-uk
    - amule-skin-mac-gray
    - amule-skin-priscilla
  * Moved amule.override to amule.lintian-overrides

