=== debian/control ===
Source: amule
Section: net
Priority: optional
Maintainer: Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>
Build-Depends: debhelper (>= 10), libglib2.0-dev, zlib1g-dev, libwxgtk3.0-dev, libgd-dev, libcrypto++-dev, libreadline-dev, libgeoip-dev, libupnp-dev (>> 1.6.6), binutils-dev, autoconf, gettext, libasio-dev
Standards-Version: 3.9.1
Homepage: http://www.amule.org

Package: amule
Architecture: any
Depends: ${shlibs:Depends}, amule-common (= ${binary:Version}), amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Recommends: amule-utils, amule-cas, amule-wxcas
Suggests: amule-xas, amule-ed2k
Description: client for eD2k and Kad networks
 aMule stands for another eMule file-sharing program, it is also
 another fork of the xMule project. It connects to eDonkey2000
 network, supports Linux, *BSD and MacOS X platforms, and has
 a new vision of the GUI

Package: amule-utils
Architecture: any
Depends: amule-common (= ${binary:Version}), amule-alcc (= ${binary:Version}), amule-cmd (= ${binary:Version}), amule-cas (= ${binary:Version}), ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Description: utilities for amule
 amule-utils is a meta-package for a set of tools to control amule.
 .
 alcc lets you created ed2k-links and hashes from the commandline
 cas is a remplacement software for astats. It produces statistic from amule.
 amulecmd is a software which helps you to control amule trough a terminal.

Package: amule-utils-gui
Architecture: any
Depends: amule-common (= ${binary:Version}), amule-alc (= ${binary:Version}), amule-remote-gui (= ${binary:Version}), amule-wxcas (= ${binary:Version}), ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Description: utilities for amule
 amule-utils-gui is a set of tools to control amule.
 .
 This is a meta-package that depends on useful programs using GUI to control
 aMule.
 .
 alc is a software to created ed2k-links and hashes
 amule trough a terminal.
 amulegui lets you control amule or amuled from a remote machine
 wxcas shows you statistics about your amule usage

Package: amule-ed2k
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version}), xmule (<= 1.10.0b-1), amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: amule ed2k link-handler
 ed2k let you use ed2k Links with your amule-app

Package: amule-cas
Architecture: any
Depends: ${shlibs:Depends}, amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}), ${misc:Depends}
Conflicts: amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: reporting module for amule
 cas reports statistics about amule on the console

Package: amule-wxcas
Architecture: any
Depends: ${shlibs:Depends}, amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}), amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Conflicts: amule-utils-gui (<< ${binary:Version})
Replaces: amule-utils-gui (<< ${binary:Version})
Description: reporting module for amule (graphical)
 wxcas reports statistics about amule on your desktop, using wxlib

Package: amule-xas
Architecture: any
Depends: ${perl:Depends}, amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}), xchat | xchat-text, ${misc:Depends}
Description: amule statistics for xchat
 xas reports statistics about amule to IRC-Channels using XChat

Package: amule-common
Architecture: any
Depends: ${misc:Depends}
Description: common files for amule
 this package contains common files for amule. atm only the
 icon for the menu

Package: amule-theme-default
Architecture: any
Provides: amule-web-templates
Depends: amuleweb (= ${binary:Version}), ${misc:Depends}
Conflicts: amule-common (<< ${binary:Version}), amule (<< ${binary:Version})
Description: default template for the webserver
 this package contains the default template for amulewebserver
 atm the litoral theme is the default one, and the only one
 included in aMule

Package: amuleweb
Architecture: any
Depends: ${shlibs:Depends}, amule-web-templates, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Conflicts: amule (<< ${binary:Version}), amule-daemon (<< ${binary:Version})
Description: webserver for amule
 this is the webserver, which gives you full access to your amule client with
 any webbrowser you want

Package: amule-remote-gui
Architecture: any
Depends: ${shlibs:Depends}, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Replaces: amule-utils-gui (<< ${binary:Version})
Conflicts: amule-utils-gui (<< ${binary:Version})
Description: remote gui for amule
 this is the remote GUI for amule. You can use it on every machine to execute
 commands on the main prog. You need a running amule or amuled on at least one
 machine on the net.

Package: amule-daemon
Architecture: any
Depends: ${shlibs:Depends}, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Replaces: amuled (<< ${binary:Version})
Conflicts: amule-daemon (<< ${binary:Version})
Description: amule daemon for headless or remote use
 amule-daemon can be used on computers, that don't have X11. You can connect to
 it with the remote-GUI, the webserver or the commandline interface.

Package: amule-alc
Architecture: any
Depends: ${shlibs:Depends}, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Conflicts: amule-utils-gui (<< ${binary:Version})
Replaces: amule-utils-gui (<< ${binary:Version})
Description: amule eD2k- link creator (gui-version)
 amule-link-creator lets you create ed2k-links and hashes for a given file.

Package: amule-alcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: amule-link-creator (commandline-version)
 amule-link-creator lets you create ed2k-links and hashes for a given file
 from the commandline.

Package: amule-cmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: remote control amule(d) from commandline
 amulecmd gives you control over a running amule-daemon or amule from
 commandline.

Package: amule-i18n-ar
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Arabic (ar) internationalized (i18n) files for amule
 This package contains the Arabic internationalized files for amule.

Package: amule-i18n-ast
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Asturian (ast) internationalized (i18n) files for amule
 This package contains the Asturian internationalized files for amule.

Package: amule-i18n-bg
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Bulgarian (bg) internationalized (i18n) files for amule
 This package contains the Bulgarian internationalized files for amule.

Package: amule-i18n-ca
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Catalan (ca) internationalized (i18n) files for amule
 This package contains the Catalan internationalized files for amule.

Package: amule-i18n-cs
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Czech (cs) internationalized (i18n) files for amule
 This package contains the Czech internationalized files for amule.

Package: amule-i18n-da
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Danish (da) internationalized (i18n) files for amule
 This package contains the Danish internationalized files for amule.

Package: amule-i18n-de
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: German (de) internationalized (i18n) files for amule
 This package contains the German internationalized files for amule.

Package: amule-i18n-el
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Greek (el) internationalized (i18n) files for amule
 This package contains the Greek internationalized files for amule.

Package: amule-i18n-en-gb
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: English (en_GB) internationalized (i18n) files for amule
 This package contains the British-English internationalized files for amule.

Package: amule-i18n-es
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Spanish (es) internationalized (i18n) files for amule
 This package contains the Spanish internationalized files for amule.

Package: amule-i18n-et-ee
Section: localization
Architecture: any
