=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Vollstrecker

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_OPTIONS_PARALLEL=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

#Here are the packages that can't be compiled separate now
general_pkgs = "amule-common"\
	"amule-skin-gnome"\
	"amule-skin-kde4"\
	"amule-skin-mac-gray"\
	"amule-skin-papirus"\
	"amule-skin-priscilla"\
	"amule-skin-tango"\
	"amule-skin-xfce"

# First, get the targets from commandline
flags = ${MAKECMDGOALS}

#First we have to find out, if we are called from dpkg-buildpackage

ifeq ("binary", "$(findstring binary, $(flags))")

#	PLASMAMULE = --enable-plasmamule
	WXCAS = --enable-wxcas
	XAS = --enable-xas
	CAS = --enable-cas
	WEBSERVER = --enable-webserver
	REMOTEGUI = --enable-amule-gui
	DAEMON = --enable-amule-daemon
	ALCC = --enable-alcc
	ALC = --enable-alc
	AMULECMD = --enable-amulecmd
	DEBUGGING = --enable-debug --disable-optimize --disable-profile
	DEBUGBUILD = yes
	LANGFLAG = --with-language=all

else ifeq ("build", "$(findstring build, $(flags))")

#	PLASMAMULE = --enable-plasmamule
	WXCAS = --enable-wxcas
	XAS = --enable-xas
	CAS = --enable-cas
	WEBSERVER = --enable-webserver
	REMOTEGUI = --enable-amule-gui
	DAEMON = --enable-amule-daemon
	ALCC = --enable-alcc
	ALC = --enable-alc
	AMULECMD = --enable-amulecmd
	DEBUGGING = --enable-debug --disable-optimize --disable-profile
	DEBUGBUILD = yes
	LANGFLAG = --with-language=all

else
	#Now we have to check what packages are build to configure only them

	#We have to filter the right targets (wo_ means without)
	wo_wxcas = $(subst wxcas,, ${flags})
	wo_alcc = $(subst alcc,, ${flags})
	wo_amule_utils_gui = $(subst amule-utils-gui,,${flags})
	wo_all_other_amules = $(subst amulecmd,,$(subst amule-utils-gui,,$(subst amule-utils,,${flags})))
	LANGUAGE := en_GB

#	ifeq ("plasmamule", "$(findstring plasmamule, $(flags))")
#		PLASMAMULE = --enable-plasmamule
#	endif

	ifeq ("wxcas", "$(findstring wxcas, $(flags))")
		WXCAS = --enable-wxcas
	endif

	ifeq ("cas", "$(findstring cas, $(wo_wxcas))")
		CAS = --enable-cas
	endif

	ifeq ("webserver", "$(findstring webserver, $(flags))")
		WEBSERVER = --enable-webserver
	endif

	ifeq ("remotegui", "$(findstring remotegui, $(flags))")
		REMOTEGUI = --enable-amule-gui
	endif

	ifeq ("daemon", "$(findstring daemon, $(flags))")
		DAEMON = --enable-amule-daemon
	endif

	ifeq ("alcc", "$(findstring alcc, $(flags))")
		ALCC = --enable-alcc
	endif

	ifeq ("alc", "$(findstring alc, $(wo_alcc))")
		ALC = --enable-alc
	endif

	ifeq ("amulecmd", "$(findstring amulecmd, $(flags))")
		AMULECMD = --enable-amulecmd
	endif

	ifneq ("amule", "$(findstring amule, $(wo_all_other_amules))")
		AMULE = --disable-monolithic
	endif

	ifneq ("ed2k", "$(findstring ed2k, $(flags))")
		ED2K = --disable-ed2k
	endif

	ifeq ("xas", "$(findstring xas, $(flags))")
		XAS = --enable-xas
	endif

	#Now find out if a Metapackage should be build
	ifeq ("amule-utils-gui", "$(findstring amule-utils-gui, $(flags))")
		ALC = --enable-alc
		REMOTEGUI = --enable-amule-gui
		WXCAS = --enable-wxcas
	endif

	ifeq ("amule-utils", "$(findstring amule-utils, $(wo_amule_utils_gui))")
		ALCC = --enable-alcc
		AMULECMD = --enable-amulecmd
		CAS = --enable-cas
	endif

	#Find this whole i18n stuff
	ifneq ("i18n-en-only", "$(findstring i18n-en-only, $(flags))")

		ifeq ("i18n-ar", "$(findstring i18n-ar, $(flags))")
			LANGUAGE := $(LANGUAGE),ar
		endif

		ifeq ("i18n-ast", "$(findstring i18n-ast, $(flags))")
			LANGUAGE := $(LANGUAGE),ast
		endif

		ifeq ("i18n-bg", "$(findstring i18n-bg, $(flags))")
			LANGUAGE := $(LANGUAGE),bg
		endif

		ifeq ("i18n-ca", "$(findstring i18n-ca, $(flags))")
			LANGUAGE := $(LANGUAGE),ca
		endif

		ifeq ("i18n-cs", "$(findstring i18n-cs, $(flags))")
			LANGUAGE := $(LANGUAGE),cs
		endif

		ifeq ("i18n-da", "$(findstring i18n-da, $(flags))")
			LANGUAGE := $(LANGUAGE),da
		endif

		ifeq ("i18n-de", "$(findstring i18n-de, $(flags))")
			LANGUAGE := $(LANGUAGE),de
		endif

		ifeq ("i18n-el", "$(findstring i18n-el, $(flags))")
			LANGUAGE := $(LANGUAGE),el
		endif

		ifeq ("i18n-es", "$(findstring i18n-es, $(flags))")
			LANGUAGE := $(LANGUAGE),es
		endif

		ifeq ("i18n-et-ee", "$(findstring i18n-et-ee, $(flags))")
			LANGUAGE := $(LANGUAGE),et_EE
		endif

		ifeq ("i18n-eu", "$(findstring i18n-eu, $(flags))")
			LANGUAGE := $(LANGUAGE),eu
		endif

		ifeq ("i18n-fi", "$(findstring i18n-fi, $(flags))")
			LANGUAGE := $(LANGUAGE),fi
		endif

		ifeq ("i18n-fr", "$(findstring i18n-fr, $(flags))")
			LANGUAGE := $(LANGUAGE),fr
		endif

		ifeq ("i18n-gl", "$(findstring i18n-gl, $(flags))")
			LANGUAGE := $(LANGUAGE),gl
		endif

		ifeq ("i18n-he", "$(findstring i18n-he, $(flags))")
			LANGUAGE := $(LANGUAGE),he
		endif

		ifeq ("i18n-hr", "$(findstring i18n-hr, $(flags))")
			LANGUAGE := $(LANGUAGE),hr
		endif

		ifeq ("i18n-hu", "$(findstring i18n-hu, $(flags))")
			LANGUAGE := $(LANGUAGE),hu
		endif

		ifeq ("i18n-it", "$(findstring i18n-it, $(flags))")
			LANGUAGE := $(LANGUAGE),it
		endif

		ifeq ("i18n-it-ch", "$(findstring i18n-it-ch, $(flags))")
			LANGUAGE := $(LANGUAGE),it_CH
		endif

		ifeq ("i18n-ja", "$(findstring i18n-ja, $(flags))")
			LANGUAGE := $(LANGUAGE),ja
		endif

		ifeq ("i18n-ko-kr", "$(findstring i18n-ko-kr, $(flags))")
			LANGUAGE := $(LANGUAGE),ko_KR
		endif

		ifeq ("i18n-lt", "$(findstring i18n-lt, $(flags))")
			LANGUAGE := $(LANGUAGE),lt
		endif

		ifeq ("i18n-nl", "$(findstring i18n-nl, $(flags))")
			LANGUAGE := $(LANGUAGE),hl
		endif

		ifeq ("i18n-nn", "$(findstring i18n-nn, $(flags))")
			LANGUAGE := $(LANGUAGE),nn
		endif

		ifeq ("i18n-pl", "$(findstring i18n-pl, $(flags))")
			LANGUAGE := $(LANGUAGE),pl
		endif

		ifeq ("i18n-pt-br", "$(findstring i18n-pt-br, $(flags))")
			LANGUAGE := $(LANGUAGE),pt_BR
		endif

		ifeq ("i18n-pt-pt", "$(findstring i18n-pt-pt, $(flags))")
			LANGUAGE := $(LANGUAGE),pt_PT
		endif

		ifeq ("i18n-ru", "$(findstring i18n-ru, $(flags))")
			LANGUAGE := $(LANGUAGE),ru
		endif

		ifeq ("i18n-sl", "$(findstring i18n-sl, $(flags))")
			LANGUAGE := $(LANGUAGE),sl
		endif

		ifeq ("i18n-sq", "$(findstring i18n-sq, $(flags))")
			LANGUAGE := $(LANGUAGE),sq
		endif

		ifeq ("i18n-sv", "$(findstring i18n-sv, $(flags))")
			LANGUAGE := $(LANGUAGE),sv
		endif

		ifeq ("i18n-tr", "$(findstring i18n-tr, $(flags))")
			LANGUAGE := $(LANGUAGE),tr
		endif

		ifeq ("i18n-uk", "$(findstring i18n-uk, $(flags))")
			LANGUAGE := $(LANGUAGE),uk
		endif

		ifeq ("i18n-zh-cn", "$(findstring i18n-zh-cn, $(flags))")
			LANGUAGE := $(LANGUAGE),zh_CN
		endif

		ifeq ("i18n-zh-tw", "$(findstring i18n-zh-tw, $(flags))")
			LANGUAGE := $(LANGUAGE),zh_TW
		endif

		ifeq ($(LANGUAGE),en_GB)
			LANGUAGE = all
		endif

	endif

	LANGFLAG = --with-language=$(LANGUAGE)

	#And at Last, find out if we compile a debug-package or not.
	ifeq ("dbgsym", "$(findstring dbgsym, $(flags))")
		DEBUGGING = --enable-debug --disable-optimize --disable-profile
	else
		DEBUGGING = --disable-debug --enable-optimize --disable-profile
	endif
endif

#Before we start, I want to introduce two sequences for building the packages
define package
	dh_testdir -p$(subst -package,,$@)
	dh_testroot -p$(subst -package,,$@)
	dh_installdirs -p$(subst -package,,$@)
	dh_installchangelogs docs/Changelog -p$(subst -package,,$@)
	dh_installdocs -p$(subst -package,,$@)
	dh_install -Xlicense.txt -p$(subst -package,,$@)
	dh_installdebconf -p$(subst -package,,$@)
	dh_installman -p$(subst -package,,$@)
	dh_installmime -p$(subst -package,,$@)
	dh_link -p$(subst -package,,$@)
	dh_lintian -p$(subst -package,,$@)
	dh_compress -X.pl -p$(subst -package,,$@)
	dh_perl -p$(subst -package,,$@)
	dh_makeshlibs -p$(subst -package,,$@)
	dh_installdeb -p$(subst -package,,$@)
	dh_shlibdeps -p$(subst -package,,$@)
